<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/white"
    >

    <LinearLayout
        android:id="@+id/statusBar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="horizontal"
        android:visibility="gone" />

    <FrameLayout
        android:layout_width="match_parent"
        android:visibility="gone"
        android:layout_height="@dimen/dp_86">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:gravity="center_vertical"
            android:visibility="gone"
            android:orientation="horizontal">

            <!--   我的家人列表     -->
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/mRecycle"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_17"
                android:layout_weight="1" />

            <RelativeLayout
                android:id="@+id/mMsgLayout"
                android:layout_width="@dimen/dp_40"
                android:layout_height="@dimen/dp_40"
                android:layout_marginEnd="@dimen/dp_8"
                android:layout_marginBottom="@dimen/dp_6">

                <ImageView
                    android:id="@+id/mMsg"
                    android:layout_width="@dimen/dp_24"
                    android:layout_height="@dimen/dp_24"
                    android:layout_centerHorizontal="true"
                    android:layout_centerVertical="true"
                    android:src="@mipmap/ic_health_msg" />

                <androidx.cardview.widget.CardView
                    android:id="@+id/mBadgeCard"
                    android:layout_width="@dimen/dp_15"
                    android:layout_height="@dimen/dp_15"
                    android:layout_alignParentEnd="true"
                    android:layout_alignParentTop="true"
                    android:layout_marginTop="@dimen/dp_4"
                    android:layout_marginEnd="@dimen/dp_2"
                    android:visibility="gone"
                    tools:visibility="visible"
                    app:cardBackgroundColor="@color/col_f23"
                    app:cardCornerRadius="@dimen/dp_10"
                    app:cardElevation="0dp">

                    <TextView
                        android:id="@+id/mBadge"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_10"
                        tools:text="12" />

                </androidx.cardview.widget.CardView>

            </RelativeLayout>

        </LinearLayout>

    </FrameLayout>

    <!--  下拉刷新控件  -->
    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/mRefresh"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:layout_marginTop="@dimen/dp_30"
        app:srlAccentColor="@color/white">

        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:foregroundTint="@color/white"
            android:visibility="visible"
            app:srlAccentColor="@color/black"
            app:srlPrimaryColor="@color/white" />

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            >

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_89"
                    android:scaleType="fitXY"
                    android:src="@color/white"/>
                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/dp_89"
                    android:background="@mipmap/bg_health_main_two"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <!--      头部信息          -->
                    <include
                        android:id="@+id/mHeader"
                        layout="@layout/frag_dynamic_management_header"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:visibility="visible" />

                    <!--       健康监测         -->
                    <include
                        android:id="@+id/mGriddingList"
                        layout="@layout/frag_dynamic_management_gridding_list"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_14"
                        android:layout_marginTop="@dimen/dp_6"
                        android:layout_marginRight="@dimen/dp_14"
                        android:layout_marginBottom="@dimen/dp_6" />

                    <!--       健康报告         -->
                    <include
                        android:id="@+id/mHealthReport"
                        layout="@layout/frag_dynamic_management_health_report"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_14"
                        android:layout_marginTop="@dimen/dp_6"
                        android:layout_marginEnd="@dimen/dp_14"
                        android:layout_marginBottom="@dimen/dp_22" />

                </LinearLayout>

            </FrameLayout>

        </androidx.core.widget.NestedScrollView>

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

</LinearLayout>